function dy = CoralOdeV3(t,y)
global a r gamma s  f beta d z delta theta Kmax R c1 c2 D v Hg He m keep1 keep2;

dy = zeros(10,1); 
% M
dy(1)=a*y(1)*y(2)-y(4)*y(1)/(y(1)+y(3))+gamma*y(1)*y(3);

% C
dy(2)=r*y(3)*y(2)-d*y(2)-a*y(1)*y(2);

% T
dy(3)=y(4)*y(1)/(y(1)+y(3))-gamma*y(1)*y(3)-r*y(3)*y(2)+d*y(2);

% P

dy(4)=s*y(4)*(1-y(4)/(beta*((c1*y(5)+c2)*(D/Kmax)*(y(1)+y(3))/(1+v*(y(1)+y(3))))))-f*y(4)+(m*keep2*y(9)-m*y(4));

% R
dy(5)=Hg*y(2)*(3-y(5))-He*(1-y(2))*(y(5)-1);


% M2
dy(6)=a*y(6)*y(7)-y(9)*y(6)/(y(6)+y(8))+gamma*y(6)*y(8);

% C2
dy(7)=r*y(8)*y(7)-d*y(7)-a*y(6)*y(7);

% T2
dy(8)=y(9)*y(6)/(y(6)+y(8))-gamma*y(6)*y(8)-r*y(8)*y(7)+d*y(7);

% P2

dy(9)=s*y(9)*(1-y(9)/(beta*((c1*y(10)+c2)*(D/Kmax)*(y(6)+y(8))/(1+v*(y(6)+y(8))))))-f*y(9)+(keep1*m*y(4)-m*y(9));

% R2
dy(10)=Hg*y(7)*(3-y(10))-He*(1-y(7))*(y(10)-1);

