function dy = CoralOdeV2(t,y)
global a r gamma s  f beta d z delta theta Kmax R c1 c2 D v Hg He ;

dy = zeros(5,1); 
% M
dy(1)=a*y(1)*y(2)-y(4)*y(1)/(y(1)+y(3))+gamma*y(1)*y(3);

% C
dy(2)=r*y(3)*y(2)-d*y(2)-a*y(1)*y(2);

% T
dy(3)=y(4)*y(1)/(y(1)+y(3))-gamma*y(1)*y(3)-r*y(3)*y(2)+d*y(2);

% P

dy(4)=s*y(4)*(1-y(4)/(beta*((c1*y(5)+c2)*(D/Kmax)*(y(1)+y(3))/(1+v*(y(1)+y(3))))))-f*y(4);
% R
dy(5)=Hg*y(2)*(3-y(5))-He*(1-y(2))*(y(5)-1);

